System.ServiceModel 4.0.0.0 System.Object

This class provides functionalities to convert a typed message to an untyped message, or an untyped message to a typed message. A typed message is an instance of a type that has the attribute annotated. An untyped message is one that is an instance of the class. You can annotate a type with the to create a custom message type, and then use the methods provided by this class to convert it to an untyped instance.

Converts a typed message to an untyped message, or an untyped message to a typed message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string.
- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string. A that specifies the formatter to be used.
- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string. A that specifies the formatter to be used.
- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string. A namespace.
- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string. A namespace. A that specifies the formatter to be used.
- Method
  4.0.0.0
  System.ServiceModel.Description.TypedMessageConverter `` `` `` `` To be added. To be added.

  Represents a static method that returns a instance.

  A instance.

  An action string. A namespace. A that specifies the formatter to be used.
- Method
  4.0.0.0
  System.Object ``

  This method takes an untyped indigo1 message, that is, an instance of , and converts it into a typed message, that is, an instance of a type that is annotated by the .

  Creates a typed message from the specified instance.

  An object that is a typed message.

  An untyped message.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Message `` To be added.

  Creates a instance from the specified typed message.

  A instance.

  A typed message.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Message `` `` To be added.

  Creates a instance from the specified typed message using the specified version.

  A instance.

  A typed message. A that specifies the versions of SOAP and WS-Addressing associated with a message.